pFSBC: Parallele implementation of fast string-based clustering for HT-SELEX 

pFSBC is for sequence clustering for HT-SELEX data based on over-represeted strings.
pFSBC is desined for finding longer over-represented strings with seasrch space reduction for fast calculation and generates clusters based on searched over-represented strings. 
 
# Requirement

* pandas
 
# Installation
 
```bash
pip install pandas
tar zxvf pFSBC.tar.gz
```
 
# Usage
 
```bash
python pFSBC.py -i INFILE -o OUTFILE [-rna] [-min MIN_LENGTH] [-max MAX_LENGTH] [-nest] [-nclus] [-npre] [-th THREADS]
```

# Options

* -i,--input : Input-file to be analyzed. Format accepted is FASTA or seq
* -o,--output : Path to output analyzed data, or 'count.csv', or 'count.csv' and 'strings.csv'
* -rna,--rnasequence : Uses RNA nt [AUCG] as letter list. Default letter list is [ATCG]. Default is false.
* -min,--minlen : type=int, Minimum length of subsequences. Default is 5
* -max,--maxlen : type=int, Maximum length of subsequences. Default is 10
* -nest,--not_estimation : Do not estimate the probability of nucleobases. Default is false.
* -nclus,--not_clustering : Do not cluster sequences. Default is false.
* -npre,--not_preprocess : Do not count sequences. Default is false. 
* -th,--thread : type=int, No. of threads used to search strings. Default is the maximum number of threads of your computer


# Note
 

# Author
 

* Takayoshi Ono, Masaki Ito, and Shintaro Kato

* masaki@aoki.ecei.tohoku.ac.jp
* katou-s-mxn@nec.com


 
# License

GNU GNERAL PUBLIC LICENSE Version 3.